Query customers at risk (batch)
1 min
POST
https://app.amberflo.io/notification/stats/customers-at-risk/batch
Body Parameters
- bodycom.amberflo.alert.statistics.CustomersAtRiskQuery.in[]
- measurementTypecom.amberflo.alert.definition.MeasurementType.in
- thresholdSidecom.amberflo.alert.statistics.ThresholdSide.in
- thresholdValuenumber
- customerIdsstring[]
- meterApiNamestring
- productPlanIdstring
Responses
200
- com.amberflo.alert.statistics.CustomersAtRiskResult.out[]
- metadatacom.amberflo.alert.statistics.CustomersAtRiskQuery.out
- measurementTypecom.amberflo.alert.definition.MeasurementType.out
- thresholdSidecom.amberflo.alert.statistics.ThresholdSide.out
- thresholdValuenumber
- customerIdsstring[]
- meterApiNamestring
- productPlanIdstring
- customerIdsstring[]
curl
curl --request POST \
--url https://app.amberflo.io/notification/stats/customers-at-risk/batch \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '[
{}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify([
{}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/notification/stats/customers-at-risk/batch", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/notification/stats/customers-at-risk/batch")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump([
{}
])
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/notification/stats/customers-at-risk/batch"
payload = json.dumps([
{}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
[
{
"metadata": {
"measurementType": "",
"thresholdSide": "",
"thresholdValue": 0,
"customerIds": [
""
],
"meterApiName": "",
"productPlanId": ""
},
"customerIds": [
""
]
}
]